Get deposit addresses for one business crypto wallet. To get the addresses for one customer, use the optional customer_id query parameter. Required scope: crypto-wallet:read.
Authorization
oauth2ClientCredentials crypto-wallet:readAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: crypto-wallet:read
Path Parameters
walletId*string
The crypto wallet ID.
Query Parameters
customer_id?string
Optional. Return only the addresses for this customer.
Format
uuidResponse Body
application/json
List crypto wallet addresses
curl --request GET \ --url 'https://example.com/api/external/crypto/wallets/string/addresses'{ "message": "Crypto wallet addresses retrieved successfully.", "data": [ { "id": "address-id", "customer_id": "customer-id", "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123", "network": "ETHEREUM_MAINNET", "type": "deposit", "status": "SUCCESSFUL" } ]}POSTCreate customer wallet addresses
Create static wallet addresses for one eligible business customer. Blaaiz creates an address for each active wallet network. Required scope: `crypto-wallet:create`.
GETList crypto wallet transactions
Get API-created crypto transactions for one wallet. Required scope: `crypto-transaction:read`.